
/* ### #################### ### */
/* ###   Main Site Styles   ### */
/* ### #################### ### */
html,
body,
.view {
  height: 100%; }

body, html { border: 0; margin: 0; padding: 0; width: 100%; min-height: 100%; color: #1b1c21; scroll-behavior: smooth; }

.navbar-brand { transition: all .2s ease-in-out; }
.navbar-brand img { height: 45px; margin-top: -8px; margin-bottom: -8px; transition: all .2s ease-in-out; }

/* turn top nav bar images white after scroll */
.top-nav-collapse .navbar-nav.nav-flex-icons img {
  -webkit-filter: brightness(0) invert(1);
  filter: brightness(0) invert(1);
}

#navbarSupportedContent { padding-top: 0; padding-bottom: 0; transition: all .2s ease-in-out; }
#navbarSupportedContent.collapsing, #navbarSupportedContent.show { padding-top: 15px; padding-bottom: 1px; }

h1, h2, h3, h4, h5, h6 { color: #003058; }
.white-text h1, .white-text h2, .white-text h3, .white-text h4, .white-text h5, .white-text h6 { color: #fff; }
h1 { font-weight: 200; }

.footer-copyright iframe { min-width: 95%; border: none; overflow: hidden; margin: 0; padding: 0; height: 18px; scrolling: no; margin-left: auto; margin-right: auto; display: block; }

.quote-image { width: 125px; }
.round-image { width: 110px; height: 110px; object-fit: cover; border-radius: 50%; border: 5px solid white; box-shadow: 0px 0px 8px #ccc; margin-left: 5px; margin-right: 5px; }
.round-image.left, .quote-image.left { float: left; margin-top: -0.75em; }
.round-image.right, .quote-image.right { float: right; margin-top: -0.25em; }

.theme { font-size: 3em; line-height: 1.1em }
.bishop { width: 110px; height: 110px; object-fit: cover; border-radius: 50%; border: 5px solid white; box-shadow: 0px 0px 8px #ccc; }


/* Move link anchors up to compensate for top nav bar height */
.anchor {
  display: block;
  position: relative;
  top: -75px;
  visibility: hidden;
}

/* Handle More / Less buttons that collapse sections */
[data-toggle="collapse"].collapsed .if-not-collapsed {
  display: none;
}
[data-toggle="collapse"]:not(.collapsed) .if-collapsed {
  display: none;
}


/* ### #################### ### */
/* ###  Home Page Specific  ### */
/* ### #################### ### */

/* Required height of parents of the Half Page Carousel for proper displaying carousel itself */

/* Carousel image */
.carousel-item.active .view {
  background-repeat: no-repeat;
  background-size: cover;
  background-attachment: fixed;
  background-position: center;
}


/* Half Page Carousel itself*/
header { min-height: 380px; }
.carousel {
  height: 50%;
  min-height: 380px; }
  .carousel .carousel-inner {
    height: 100%; }
    .carousel .carousel-inner .carousel-item,
    .carousel .carousel-inner .active {
      height: 100%; }

.mask {
  background-color: rgba(0,0,0,.4)
}





/* ### #################### ### */
/* ###     Media Queries    ### */
/* ### #################### ### */

/* Adjustment when nav bar goes to dropdown */
@media (max-width: 991px) {
  /* logo animation to center */
  .navbar-brand { margin-left: 50%; }
  .navbar-brand img { transform: translate(-50%, 0%); }
  
  /* nav dropdown menu items */
  .nav-item.ml-2 { margin-left: 0!important; }
  
  /* turn top nav bar images white when in dropdown */
  .navbar-nav.nav-flex-icons img {
    -webkit-filter: brightness(0) invert(1);
    filter: brightness(0) invert(1);
  }
  
  /* adjust home page images */
  .bishop { margin-top: -0.5em; }
  .prophet { margin-top: -0.25em; }
  .theme { font-size: 2.1em; line-height: 1.1em }
}

/* Adjustment for mobile devices*/
@media (max-width: 776px) {
  .carousel { height: 100%; }
  .carousel-item.active .view { background-attachment: scroll; }
  
  .theme { font-size: 1.5em; line-height: 1.1em }
}

/* Navbar animation */
.navbar {
  background-color: rgba(0, 0, 0, 0.4); }

.top-nav-collapse, .navbar-solid {
  background-color: #587393; }

/* Adding color to the Navbar on mobile */
@media only screen and (max-width: 768px) {
  .navbar {
    background-color: #587393; } }

/* Footer color for sake of consistency with Navbar */
.page-footer {
  background-color: #587393; }
